package bin_trees;

/**
 * Leaf Node class
 * @author 
 *
 */
public class VarLeafNode
    implements VarBinNode
{
    private String operand; // Operand value


    /**
     * Constructor
     * @param operand the operand stored in this node
     */
    public VarLeafNode(String operand)
    {
        this.operand = operand;
    }


    /**
     * @return the operand stored in this node
     */
    public String value()
    {
        return operand;
    }


    @Override
    public boolean isLeaf()
    {
        return true;
    }


    @Override
    public void traverse()
    {
    	System.out.print(operand);

    }

}
